summaryrefslogtreecommitdiffstats
path: root/libraries/libfreehand/libfreehand.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/libfreehand/libfreehand.SlackBuild')
-rw-r--r--libraries/libfreehand/libfreehand.SlackBuild15
1 files changed, 11 insertions, 4 deletions
diff --git a/libraries/libfreehand/libfreehand.SlackBuild b/libraries/libfreehand/libfreehand.SlackBuild
index 59c1ad8258..a339698735 100644
--- a/libraries/libfreehand/libfreehand.SlackBuild
+++ b/libraries/libfreehand/libfreehand.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for libfreehand
-# Copyright 2015, 2017 Hunter Sezen California, USA
+# Copyright 2015, 2017, 2020 Hunter Sezen California, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@
PRGNAM=libfreehand
VERSION=${VERSION:-0.1.2}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
@@ -39,6 +39,7 @@ CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
+
if [ "$ARCH" = "i586" ]; then
SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
@@ -79,6 +80,12 @@ else
cppunit='--disable-tests'
fi
+# Add missing semicolon to fix build with icu 65.1
+# https://gerrit.libreoffice.org/c/libfreehand/+/80224/
+patch -p1 < $CWD/0001-Add-missing-semicolon-to-fix-build-with-icu-65.1.patch
+
+autoreconf -fi
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
@@ -93,8 +100,8 @@ CXXFLAGS="$SLKCFLAGS" \
make
make install DESTDIR=$PKG
-find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" |
+ grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a AUTHORS COPYING ChangeLog NEWS $PKG/usr/doc/$PRGNAM-$VERSION